[cp-patches] FYI: [cp-tools] More miscellaneous build fixes

Andrew John Hughes gnu_andrew at member.fsf.org
Sun Jun 29 12:48:58 UTC 2008


This patch fixes a number of minor issues:

* Don't list ASM as a requirement any more.
* Don't include the GNU bytecode JAR when not used.
* Updated autogen.sh for newer versions of the autotools.

ChangeLog:

2008-06-29  Andrew John Hughes  <gnu_andrew at member.fsf.org>

	* INSTALL: Remove ASM requirement.
	* Makefile.am: Only include GNU bytecode JAR when
	used.
	* autogen.sh: Updated to match GNU Classpath.

-- 
Andrew :)

Support Free Java!
Contribute to GNU Classpath and the OpenJDK
http://www.gnu.org/software/classpath
http://openjdk.java.net
PGP Key: 94EFD9D8 (http://subkeys.pgp.net)
Fingerprint = F8EF F1EA 401E 2E60 15FA  7927 142C 2591 94EF D9D8
-------------- next part --------------
Index: INSTALL
===================================================================
RCS file: /sources/classpath/cp-tools/INSTALL,v
retrieving revision 1.2
diff -u -u -r1.2 INSTALL
--- INSTALL	6 Feb 2006 12:38:03 -0000	1.2
+++ INSTALL	29 Jun 2008 12:44:39 -0000
@@ -9,18 +9,7 @@
 In order to build this project, you need to download and install the following
 additional libraries:
 
-  1. ASM 1.5.3. The build will fail with ASM 2.0 or newer versions, because
-     they have many public classes rewritten. 
-     
-     The ASM can be downloaded from http://forge.objectweb.org/projects/asm/.
-     You must rename the downloaded jar into asm.jar and place into
-     /usr/local/share/java/ or /usr/share/java/ . Alternatively (if you
-     already have the newer version installed), you may not rename the file,
-     place into arbitrary location and use ./configure --with-asm, for instance:
-     
-     sh configure --with-asm=/usr/local/share/java/asm-1.5.3.jar
-  
-  2. bytecode.jar. This archive contains the compiled code fragment from the
+  1. bytecode.jar. This archive contains the compiled code fragment from the
      KAWA projec and must be composed manually. The simplies way to do this is
      to download the kawa-1.8.jar from 
      http://www.gnu.org/software/kawa/Getting-Kawa.html and, using some
Index: Makefile.am
===================================================================
RCS file: /sources/classpath/cp-tools/Makefile.am,v
retrieving revision 1.13
diff -u -u -r1.13 Makefile.am
--- Makefile.am	29 Jun 2008 01:07:01 -0000	1.13
+++ Makefile.am	29 Jun 2008 12:44:40 -0000
@@ -6,7 +6,11 @@
 BYTECODE_JAR=src/jars/bytecode.jar
 DISTCLEANFILES = $(BYTECODE_JAR) 
 
-AM_GCJFLAGS = --classpath=$(CLASSPATH) -fassume-compiled -I$(srcdir)/src -I$(XML_JAR) -I$(BYTECODE_JAR) -I$(ASM_JAR) -I.
+if USE_GNUBYTECODE
+AM_GCJFLAGS = --classpath=$(CLASSPATH) -fassume-compiled -I$(srcdir)/src -I$(XML_JAR) -I$(BYTECODE_JAR) -I.
+else
+AM_GCJFLAGS = --classpath=$(CLASSPATH) -fassume-compiled -I$(srcdir)/src -I$(XML_JAR) -I.
+endif
 
 MY_JAVAC_FLAGS = -classpath $(CLASSPATH):$(srcdir)/src -g $(JAVAC_FLAGS)
 
Index: autogen.sh
===================================================================
RCS file: /sources/classpath/cp-tools/autogen.sh,v
retrieving revision 1.2
diff -u -u -r1.2 autogen.sh
--- autogen.sh	17 Feb 2005 03:31:36 -0000	1.2
+++ autogen.sh	29 Jun 2008 12:44:40 -0000
@@ -8,13 +8,15 @@
 cd $srcdir
 PROJECT=cp-tools
 TEST_TYPE=-f
-FILE=src/gnu/classpath/tools/javap/Javap.java
+FILE=src/gnu/localegen/Main.java
 
 DIE=0
 
+LIBTOOLIZE=libtoolize
+
 have_libtool=false
-if libtoolize --version < /dev/null > /dev/null 2>&1 ; then
-	libtool_version=`libtoolize --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+if ${LIBTOOLIZE} --version < /dev/null > /dev/null 2>&1 ; then
+	libtool_version=`${LIBTOOLIZE} --version | sed 's/^.*[^0-9.]\([0-9]\{1,\}\.[0-9.]\{1,\}\).*/\1/'`
 	case $libtool_version in
 	    1.5*)
 		have_libtool=true
@@ -26,47 +28,9 @@
 	echo "You must have libtool 1.5 installed to compile $PROJECT."
 	echo "Install the appropriate package for your distribution,"
 	echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
-	DIE=1
-fi
-
-have_autoconf=false
-if autoconf --version < /dev/null > /dev/null 2>&1 ; then
-	autoconf_version=`autoconf --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
-	case $autoconf_version in
-	    2.59*)
-		have_autoconf=true
-		;;
-	esac
-fi
-if $have_autoconf ; then : ; else
-	echo
-	echo "You must have autoconf 2.59 installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
-	DIE=1
-fi
-
-have_automake=false
-# We know each 1.9.x version works
-if automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
-	AUTOMAKE=automake-1.9
-	ACLOCAL=aclocal-1.9
-	have_automake=true
-elif automake --version < /dev/null > /dev/null 2>&1 ; then
-	AUTOMAKE=automake
-	ACLOCAL=aclocal
-	automake_version=`automake --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
-	case $automake_version in
-	    1.9*)
-		have_automake=true
-		;;
-	esac
-fi
-if $have_automake ; then : ; else
-	echo
-	echo "You must have automake 1.9 installed to compile $PROJECT."
-	echo "Install the appropriate package for your distribution,"
-	echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+	echo "For Darwin you need the latest stable (1.5.22) to support"
+	echo "Frameworks linking. Also, you have to point"
+	echo "LOCAL_AUTORECONF_FLAGS to this libtool/share/aclocal."
 	DIE=1
 fi
 
@@ -86,34 +50,8 @@
         fi
 fi
 
-if test -z "$ACLOCAL_FLAGS"; then
-
-	acdir=`$ACLOCAL --print-ac-dir`
-        m4list="glib-2.0.m4 glib-gettext.m4"
-
-	for file in $m4list
-	do
-		if [ ! -f "$acdir/$file" ]; then
-			echo "WARNING: aclocal's directory is $acdir, but..."
-			echo "         no file $acdir/$file"
-			echo "         You may see fatal macro warnings below."
-			echo "         If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
-			echo "         environment variable to \"-I /some/dir\", or install"
-			echo "         $acdir/$file."
-			echo ""
-		fi
-	done
-fi
-
-# Use the "-I ." flag in order to include our pkg.m4.  
-$ACLOCAL -I . -I m4 $ACLOCAL_FLAGS || exit $?
-
-libtoolize --force || exit $?
-
-#autoheader || exit $?
+autoreconf --install --warnings=no-portability || exit $?
 
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
 cd $ORIGDIR || exit $?
 
 if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then


More information about the Classpath-patches mailing list